package arzumify.networked.impl;

import arzumify.presence.maths.Vec3i;
import arzumify.presence.presences.Presence;
import arzumify.presence.presences.PresenceProvider;

public class BasePresence implements PresenceProvider<ModifiablePresence> {
    public BasePresence(short range, Vec3i... points) {
        this.presence = new ModifiablePresence(range, points);
    }

    public final ModifiablePresence presence;

    public Presence<ModifiablePresence> presence() {
        return this.presence;
    }
}
